# Uses of Class org.bukkit.StructureType (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit, class: StructureType

# Uses of Class
org.bukkit.StructureType

Packages that use StructureType
Package
Description
io.papermc.paper.event.world
io.papermc.paper.world.structure
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of StructureType in io.papermc.paper.event.world

Methods in io.papermc.paper.event.world that return StructureType
Modifier and Type
Method
Description
`@NotNull StructureType`
StructureLocateEvent.`getType()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `StructureType` that is to be located.
Methods in io.papermc.paper.event.world with parameters of type StructureType
Modifier and Type
Method
Description
`void`
StructureLocateEvent.`setType(@NotNull StructureType type)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the `StructureType` that is to be located.
Constructors in io.papermc.paper.event.world with parameters of type StructureType
Modifier
Constructor
Description
``
`StructureLocateEvent(@NotNull World world, @NotNull Location origin, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of StructureType in io.papermc.paper.world.structure

Methods in io.papermc.paper.world.structure that return StructureType
Modifier and Type
Method
Description
`@NotNull StructureType`
ConfiguredStructure.`getStructureType()`
Gets the structure type for this configure structure.

## Uses of StructureType in org.bukkit

Fields in org.bukkit declared as StructureType
Modifier and Type
Field
Description
`static final StructureType`
StructureType.`BASTION_REMNANT`
Deprecated.
Bastion remnant.
`static final StructureType`
StructureType.`BURIED_TREASURE`
Deprecated.
Buried treasure consists of a single chest buried in the beach sand or gravel, with random loot in it.
`static final StructureType`
StructureType.`DESERT_PYRAMID`
Deprecated.
Desert pyramids (also known as desert temples) are found in deserts.
`static final StructureType`
StructureType.`END_CITY`
Deprecated.
End Cities are tall castle-like structures that generate in the outer island of the End dimension.
`static final StructureType`
StructureType.`IGLOO`
Deprecated.
Igloos are structures that generate in snowy biomes.
`static final StructureType`
StructureType.`JUNGLE_PYRAMID`
Deprecated.
Jungle pyramids (also known as jungle temples) are found in jungles.
`static final StructureType`
StructureType.`MINESHAFT`
Deprecated.
Mineshafts are underground structures which consist of branching mining tunnels with wooden supports and broken rails.
`static final StructureType`
StructureType.`NETHER_FORTRESS`
Deprecated.
Nether fortresses are very large complexes that mainly consist of netherbricks.
`static final StructureType`
StructureType.`NETHER_FOSSIL`
Deprecated.
Nether fossils.
`static final StructureType`
StructureType.`OCEAN_MONUMENT`
Deprecated.
Ocean monuments are underwater structures.
`static final StructureType`
StructureType.`OCEAN_RUIN`
Deprecated.
Ocean ruins are clusters of many different blocks that generate underwater in ocean biomes (as well as on the surface of beaches).
`static final StructureType`
StructureType.`PILLAGER_OUTPOST`
Deprecated.
Pillager outposts may contain crossbows.
`static final StructureType`
StructureType.`RUINED_PORTAL`
Deprecated.
Ruined portal.
`static final StructureType`
StructureType.`SHIPWRECK`
Deprecated.
Shipwrecks are structures that generate on the floor of oceans or beaches.
`static final StructureType`
StructureType.`STRONGHOLD`
Deprecated.
Strongholds are underground structures that consist of many rooms, libraries, and an end portal room.
`static final StructureType`
StructureType.`SWAMP_HUT`
Deprecated.
Swamp huts (also known as witch huts) generate in swamp biomes and have the ability to spawn witches.
`static final StructureType`
StructureType.`VILLAGE`
Deprecated.
Villages are naturally generating structures that form above ground.
`static final StructureType`
StructureType.`WOODLAND_MANSION`
Deprecated.
Mansions (also known as woodland mansions) are massive house structures that generate in dark forests, containing a wide variety of rooms.
Methods in org.bukkit that return types with arguments of type StructureType
Modifier and Type
Method
Description
`static @NotNull Map<String,StructureType>`
StructureType.`getStructureTypes()`
Deprecated.
Get all registered `StructureType`s.
Methods in org.bukkit with parameters of type StructureType
Modifier and Type
Method
Description
`static @NotNull ItemStack`
Bukkit.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`static @NotNull ItemStack`
Bukkit.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`@NotNull ItemStack`
Server.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`@NotNull ItemStack`
Server.`createExplorerMap(@NotNull World world, @NotNull Location location, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Create a new explorer map targeting the closest nearby structure of a given `StructureType`.
`@Nullable Location`
World.`locateNearestStructure(@NotNull Location origin, StructureType structureType, int radius, boolean findUnexplored)`
Deprecated.
Use `World.locateNearestStructure(Location, Structure, int, boolean)` or `World.locateNearestStructure(Location, StructureType, int, boolean)` instead.